# BinarySpec

API Documentation: | `BinarySpec`

Known Subtypes: |
`NativeBinarySpec`

Note: This class is incubating and may change in a future version of Gradle.

Represents a binary that is the result of building a component.

### Properties

Property | Description
`buildable` | Incubating Can this binary be built in the current environment?
`inputs` | Incubating Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).
`sources` | Incubating The sources owned by this binary.
`tasks` | Incubating The set of tasks associated with this binary.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `buildable` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Can this binary be built in the current environment?

#### ``DomainObjectSet`<`LanguageSourceSet`>` `inputs` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).

#### ``ModelMap`<`LanguageSourceSet`>` `sources` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The sources owned by this binary.

#### `BinaryTasksCollection` `tasks` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The set of tasks associated with this binary.